org.springframework.data.repository.core.support

## Interface RepositoryFactoryCustomizer

    public interface RepositoryFactoryCustomizer

Callback interface that can be used to to customize a `repository factory`.

Since:
  2.4
Author:
  Mark Paluch

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `customize(RepositoryFactorySupport repositoryFactory)` Callback to customize a `RepositoryFactorySupport` instance.

### Method Detail

#### customize

    void customize(RepositoryFactorySupport repositoryFactory)

Callback to customize a `RepositoryFactorySupport` instance.

Parameters:
  `repositoryFactory` - repository factory to customize.